import { defineConfig } from "vite";
import vue from "@vitejs/plugin-vue";

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [
    vue({
      template: {
        compilerOptions: {
          // 将 adp-widget 视为自定义元素
          isCustomElement: (tag) => tag === "adp-widget",
        },
      },
    }),
  ],
  server: {
    port: 5174,
  },
});
